Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Test.Tools.Tests.Build.BaseBuildTest Class Referenceabstract
Inheritance diagram for Zwipe.Test.Tools.Tests.Build.BaseBuildTest:
[legend]
Collaboration diagram for Zwipe.Test.Tools.Tests.Build.BaseBuildTest:
[legend]

## Classes
class | Job
class | JobQueue

## Protected Member Functions
| BaseBuildTest (string testName, string buildFileExtension, bool preserveWarnings, bool buildInMultiThread)
virtual string | ParseLog (string fileName, IEnumerable< string > lines, out string warnings)
virtual bool | CheckSkipWarning (string fileName, string line)
virtual JobQueue | GetJobs ()
bool | BuildJob (Job job)
override void | Execute ()
void | AddWarning (string name, string message)
Protected Member Functions inherited from Zwipe.Test.Tools.Tests.BaseTest
| BaseTest (string name)
void | AddSuccess (string name, string format, params object[] args)
void | AddSuccess (string name, string message)
void | AddError (string name, string format, params object[] args)
void | AddError (string name, string message)
void | Log (string format, params object[] args)
void | Log (string message)
virtual bool | Prepare ()
virtual void | Clean ()
void | Execute ()

## Properties
string | BuildFileExtension`[get]`
bool | PreserveWarnings`[get]`
bool | MultiThreadBuild`[get]`
Properties inherited from Zwipe.Test.Tools.Tests.BaseTest
string | Name`[get]`
TestContext | Context`[get, private set]`
TestSuite | Suite`[get, private set]`

## Private Member Functions
int | GetThreadCount ()
void | BuildThread (object parameter)

## Additional Inherited Members
Public Member Functions inherited from Zwipe.Test.Tools.Tests.BaseTest
TestSuite | Perform (TestContext context)

## Constructor & Destructor Documentation

## ◆ BaseBuildTest()

Zwipe.Test.Tools.Tests.Build.BaseBuildTest.BaseBuildTest | ( | string | testName,
|  | string | buildFileExtension,
|  | bool | preserveWarnings,
|  | bool | buildInMultiThread )
| protected

## Member Function Documentation

## ◆ AddWarning()

void Zwipe.Test.Tools.Tests.Build.BaseBuildTest.AddWarning | ( | string | name,
|  | string | message )
| protected

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ BuildJob()

bool Zwipe.Test.Tools.Tests.Build.BaseBuildTest.BuildJob | ( | Job | job | ) |
| abstract protected

Here is the caller graph for this function:

## ◆ BuildThread()

void Zwipe.Test.Tools.Tests.Build.BaseBuildTest.BuildThread | ( | object | parameter | ) |
| private

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ CheckSkipWarning()

virtual bool Zwipe.Test.Tools.Tests.Build.BaseBuildTest.CheckSkipWarning | ( | string | fileName,
|  | string | line )
| protected virtual

Here is the caller graph for this function:

## ◆ Execute()

override void Zwipe.Test.Tools.Tests.Build.BaseBuildTest.Execute | ( |  | ) |
| protected

Here is the call graph for this function:

## ◆ GetJobs()

virtual JobQueue Zwipe.Test.Tools.Tests.Build.BaseBuildTest.GetJobs | ( |  | ) |
| protected virtual

Reimplemented in Zwipe.Test.Tools.Tests.Build.BaseMakefileBuildTest, and Zwipe.Test.Tools.Tests.Build.BaseVsBuildTest.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ GetThreadCount()

int Zwipe.Test.Tools.Tests.Build.BaseBuildTest.GetThreadCount | ( |  | ) |
| private

Here is the caller graph for this function:

## ◆ ParseLog()

virtual string Zwipe.Test.Tools.Tests.Build.BaseBuildTest.ParseLog | ( | string | fileName,
|  | IEnumerable< string > | lines,
|  | out string | warnings )
| protected virtual

Here is the call graph for this function:
Here is the caller graph for this function:

## Property Documentation

## ◆ BuildFileExtension

string Zwipe.Test.Tools.Tests.Build.BaseBuildTest.BuildFileExtension
| get protected

## ◆ MultiThreadBuild

bool Zwipe.Test.Tools.Tests.Build.BaseBuildTest.MultiThreadBuild
| get protected

## ◆ PreserveWarnings

bool Zwipe.Test.Tools.Tests.Build.BaseBuildTest.PreserveWarnings
| get protected

The documentation for this class was generated from the following file:

- Zwipe.Test.Tools/Tests/Build/BaseBuildTest.cs